Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class TreeRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.TreeRendererBase

All Implemented Interfaces:
  org.richfaces.renderkit.MetaComponentRenderer

Direct Known Subclasses:
  TreeRenderer

    public abstract class TreeRendererBase

extends RendererBase
implements org.richfaces.renderkit.MetaComponentRenderer

Author:
  Nick Belaevski

Constructor Summary
`TreeRendererBase()`

Method Summary
`protected void` | `createTreeRenderingContext(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected void` | `deleteTreeRenderingContext(javax.faces.context.FacesContext context)`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected void` | `encodeSelectionStateInput(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeTree(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected String` | `getAjaxSubmitFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected Object` | `getClientEventHandlers(javax.faces.context.FacesContext facesContext)`
`protected String` | `getSelectionStateInputId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected org.richfaces.component.SwitchType` | `getSelectionType(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeRendererBase

    public TreeRendererBase()

Method Detail

### encodeTree

    public void encodeTree(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                    throws IOException

  Throws:
    `IOException`

### getAjaxSubmitFunction

    protected String getAjaxSubmitFunction(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component)

### encodeSelectionStateInput

    protected void encodeSelectionStateInput(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component)
                                      throws IOException

  Throws:
    `IOException`

### getSelectionStateInputId

    protected String getSelectionStateInputId(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component)

### getSelectionType

    protected org.richfaces.component.SwitchType getSelectionType(javax.faces.context.FacesContext context,
                                                                  javax.faces.component.UIComponent component)

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Throws:
    `IOException`

### decodeMetaComponent

    public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)

  Specified by:
    `decodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `RendererBase`

### createTreeRenderingContext

    protected void createTreeRenderingContext(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component)

### getClientEventHandlers

    protected Object getClientEventHandlers(javax.faces.context.FacesContext facesContext)

### deleteTreeRenderingContext

    protected void deleteTreeRenderingContext(javax.faces.context.FacesContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.